package andante.device;

import java.util.Timer;

public class AlsaMidiDevice extends AudioDeviceImpl {

  public AlsaMidiDevice(int p1, int p2) {
    try {
      Id = "ALSA MIDI Device";
      Synth = new org.tritonus.midi.device.alsa.AlsaSynthesizer(p1,p2,16);
      Synth.open();
      Canais = Synth.getChannels();
      
      PlayNoteTab = new short[Canais.length][128];
      
      T = new Timer();
    } catch (Exception e) {
      e.printStackTrace();
    }
  }

  protected void init() {
  }

}
